Browse Source

BLD: add in build conflict resolution to appeveyor.yml

pull/14147/head
Jeff Reback 6 years ago
parent
commit
3110a72b53
  1. 7
      appveyor.yml

7
appveyor.yml

@ -49,6 +49,12 @@ init:
- "ECHO %PYTHON_VERSION% %PYTHON%"
install:
# cancel older builds for the same PR
- ps: if ($env:APPVEYOR_PULL_REQUEST_NUMBER -and $env:APPVEYOR_BUILD_NUMBER -ne ((Invoke-RestMethod `
https://ci.appveyor.com/api/projects/$env:APPVEYOR_ACCOUNT_NAME/$env:APPVEYOR_PROJECT_SLUG/history?recordsNumber=50).builds | `
Where-Object pullRequestId -eq $env:APPVEYOR_PULL_REQUEST_NUMBER)[0].buildNumber) { `
throw "There are newer queued builds for this pull request, failing early." }
# this installs the appropriate Miniconda (Py2/Py3, 32/64 bit)
# updates conda & installs: conda-build jinja2 anaconda-client
- powershell .\ci\install.ps1
@ -69,6 +75,7 @@ install:
# https://github.com/conda/conda-build/issues/1001
# disabling 3.4 as windows complains upon compiling byte
# code
- cmd: conda install conda-build=1.21.7
- cmd: conda config --set ssl_verify false

Loading…
Cancel
Save